:root {
  --panel-width: 275px;
}

#SearchPage {
  height: 100vh;
  padding-top: var(--nav-height);
  & .controls {
    height: calc(100vh - 195px);
    margin-top: 50px;
    width: var(--panel-width);
    & .clear {
      background-color: #434958;
      color: #979AA2;
      font-family: "Palanquin", sans-serif;
      font-size: 14px;
      font-weight: 600;
      letter-spacing: 0.05em;
      line-height: 1;
      margin: 0 25px 15px;
      opacity: 1;
      padding: 6px 0 9px;
      text-align: center;
      text-transform: uppercase;
      transition: background-color 0.25s, color 0.25s;
      width: calc(100% - 50px);
      & span {
        display: inline-block;
        font-size: 17px;
        font-weight: 300;
        padding: 0 2px;
        vertical-align: baseline;
      }
      &:hover {
        background-color: #727682;
        color: #fff;
        cursor: pointer;
      }
    }
    & > ul {
      color: #979AA2;
      font-family: "Palanquin", sans-serif;
      font-size: 13px;
      font-weight: 700;
      letter-spacing: 0.06em;
      line-height: 1.3;
      list-style-type: none;
      margin: 0;
      padding: 0 25px;
      text-transform: uppercase;
      width: 100%;
      & > li {
        margin: 20px 0;
        &.geo { color: var(--geo); }
        &.naics { color: var(--naics); }
        &.soc { color: var(--soc); }
        &.cip { color: var(--cip); }
        &.university { color: var(--university); }
        &.napcs { color: var(--napcs); }
        &:hover {
          cursor: pointer;
        }
        &:first-child {
          color: #727682;
          font-size: 12px;
          font-weight: 400;
          &:hover {
            cursor: auto;
          }
        }
        & img {
          margin: 0 6px 0 0;
          width: 18px;
          vertical-align: bottom;
        }
      }
      & > ul {
        list-style-type: none;
        margin: -10px 0 5px;
        padding: 0;
        & > li {
          font-size: 12px;
          font-weight: 600;
          line-height: 2;
          margin-left: 25px;
          transition: color 0.15s;
          &:hover {
            color: white;
            cursor: pointer;
          }
          &.active {
            color: white;
          }
        }
      }
      & .num {
        display: inline-block;
        float: right;
      }
    }
  }
  & .search {
    display: block;
    & .pt-input-group {
      border-bottom: 1px solid var(--gray);
      border-radius: 0;
      height: 50px;
      margin: 25px;
      transition: border-color 0.25s;
      &.active {
        border-color: white;
      }
      & .pt-icon {
        color: white;
        font-size: 27px;
        line-height: 35px;
      }
      & input {
        background-color: var(--dark);
        box-shadow: none;
        color: white;
        font-size: 30px;
        padding-left: 50px;
        &:placeholder {
          color: var(--gray);
        }
      }
    }
    & .results {
      border-left: 1px solid var(--gray);
      display: block;
      height: calc(100vh - 195px);
      left: var(--panel-width);
      list-style-type: none;
      margin: 0;
      overflow-y: scroll;
      padding: 0;
      position: absolute;
      top: 100px;
      width: calc(100% - var(--panel-width));
      & .result {
        padding: 20px;
        text-align: left;
        transition: background-color 0.25s;
        width: 100%;
        & a {
          align-items: center;
          display: flex;
          &:hover {
            text-decoration: none;
          }
        }
        &.highlighted, &:hover {
          background-color: var(--gray);
          cursor: pointer;
        }
        & img {
          flex: none;
          height: 26px;
          margin-right: 20px;
          width: 26px;
        }
        & .result-text {
          flex: 1;
          & .title {
            color: white;
            font-size: 16px;
            line-height: 1.25;
            margin-bottom: 2px;
          }
          & .sumlevel {
            color: var(--lightgray);
            font-size: 12px;
            letter-spacing: 1px;
            line-height: 1.15;
            font-weight: 700;
            margin-top: 5px;
            text-transform: uppercase;
          }
        }
      }
      & .all-results, & .no-results {
        border: 0;
        box-shadow: none;
        color: white;
        font-size: 12px;
        font-weight: 600;
        letter-spacing: 1px;
        padding: 10px 0;
        text-align: center;
        text-transform: uppercase;
      }
    }
  }
}
